/[gcl]/gcl/pargcl/configure
ViewVC logotype

Diff of /gcl/pargcl/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.7 by gene, Sun Nov 6 09:49:57 2005 UTC revision 1.8 by gene, Tue Nov 8 09:17:30 2005 UTC
# Line 309  ac_includes_default="\ Line 309  ac_includes_default="\
309  # include <unistd.h>  # include <unistd.h>
310  #endif"  #endif"
311    
312  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT LN_S SET_MAKE RANLIB ac_ct_RANLIB CPP EGREP PARGCL_VERSION PARGCL_UPDATED GCL GCL_SRC PWD HOSTNAME LIBSFORSOCKETS LIBSFORPTHREAD LIBSFORMPI CFLAGS_FOR_POSIX_1C HAVE_PTHREAD LIBEFENCE STRIP_LIBS STRIP MPICC MPICXX LIBOBJS LTLIBOBJS'  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT LN_S SET_MAKE RANLIB ac_ct_RANLIB CPP EGREP LIBOBJS PARGCL_VERSION PARGCL_UPDATED GCL GCL_SRC PWD HOSTNAME LIBSFORSOCKETS LIBSFORSLEEP LIBSFORPTHREAD LIBSFORMPI CFLAGS_FOR_POSIX_1C HAVE_PTHREAD LIBEFENCE STRIP_LIBS STRIP MPICC MPICXX LTLIBOBJS'
313  ac_subst_files=''  ac_subst_files=''
314    
315  # Initialize some variables set by options.  # Initialize some variables set by options.
# Line 841  Optional Packages: Line 841  Optional Packages:
841    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
842    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
843    --with-gcl=PATH         defines location of gcl    --with-gcl=PATH         defines location of gcl
844    --with-gcl-dir=PATH     usually defaults correctly, specifies GCL source dir    --with-gcl-build-dir=PATH not needed unless GCL not yet built
845    --with-mpicc=PATH       if don't want built-in MPI, define path to mpicc    --with-mpicc=PATH       if don't want built-in MPI, define path to mpicc
846    
847  Some influential environment variables:  Some influential environment variables:
# Line 1295  ac_compiler_gnu=$ac_cv_c_compiler_gnu Line 1295  ac_compiler_gnu=$ac_cv_c_compiler_gnu
1295  PARGCL_VERSION=0.9.7  PARGCL_VERSION=0.9.7
1296  PARGCL_UPDATED="November, 2005"  PARGCL_UPDATED="November, 2005"
1297    
1298    # Checks for programs.
1299  ac_ext=c  ac_ext=c
1300  ac_cpp='$CPP $CPPFLAGS'  ac_cpp='$CPP $CPPFLAGS'
1301  ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'  ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 2845  fi Line 2846  fi
2846  LIBSFORSOCKETS="$LIBS"  LIBSFORSOCKETS="$LIBS"
2847  LIBS=  LIBS=
2848    
2849    echo "$as_me:$LINENO: checking for nanosleep" >&5
2850    echo $ECHO_N "checking for nanosleep... $ECHO_C" >&6
2851    if test "${ac_cv_func_nanosleep+set}" = set; then
2852      echo $ECHO_N "(cached) $ECHO_C" >&6
2853    else
2854      cat >conftest.$ac_ext <<_ACEOF
2855    /* confdefs.h.  */
2856    _ACEOF
2857    cat confdefs.h >>conftest.$ac_ext
2858    cat >>conftest.$ac_ext <<_ACEOF
2859    /* end confdefs.h.  */
2860    /* Define nanosleep to an innocuous variant, in case <limits.h> declares nanosleep.
2861       For example, HP-UX 11i <limits.h> declares gettimeofday.  */
2862    #define nanosleep innocuous_nanosleep
2863    
2864    /* System header to define __stub macros and hopefully few prototypes,
2865        which can conflict with char nanosleep (); below.
2866        Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
2867        <limits.h> exists even on freestanding compilers.  */
2868    
2869    #ifdef __STDC__
2870    # include <limits.h>
2871    #else
2872    # include <assert.h>
2873    #endif
2874    
2875    #undef nanosleep
2876    
2877    /* Override any gcc2 internal prototype to avoid an error.  */
2878    #ifdef __cplusplus
2879    extern "C"
2880    {
2881    #endif
2882    /* We use char because int might match the return type of a gcc2
2883       builtin and then its argument prototype would still apply.  */
2884    char nanosleep ();
2885    /* The GNU C library defines this for functions which it implements
2886        to always fail with ENOSYS.  Some functions are actually named
2887        something starting with __ and the normal name is an alias.  */
2888    #if defined (__stub_nanosleep) || defined (__stub___nanosleep)
2889    choke me
2890    #else
2891    char (*f) () = nanosleep;
2892    #endif
2893    #ifdef __cplusplus
2894    }
2895    #endif
2896    
2897    int
2898    main ()
2899    {
2900    return f != nanosleep;
2901      ;
2902      return 0;
2903    }
2904    _ACEOF
2905    rm -f conftest.$ac_objext conftest$ac_exeext
2906    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
2907      (eval $ac_link) 2>conftest.er1
2908      ac_status=$?
2909      grep -v '^ *+' conftest.er1 >conftest.err
2910      rm -f conftest.er1
2911      cat conftest.err >&5
2912      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2913      (exit $ac_status); } &&
2914             { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
2915      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2916      (eval $ac_try) 2>&5
2917      ac_status=$?
2918      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2919      (exit $ac_status); }; } &&
2920             { ac_try='test -s conftest$ac_exeext'
2921      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2922      (eval $ac_try) 2>&5
2923      ac_status=$?
2924      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2925      (exit $ac_status); }; }; then
2926      ac_cv_func_nanosleep=yes
2927    else
2928      echo "$as_me: failed program was:" >&5
2929    sed 's/^/| /' conftest.$ac_ext >&5
2930    
2931    ac_cv_func_nanosleep=no
2932    fi
2933    rm -f conftest.err conftest.$ac_objext \
2934          conftest$ac_exeext conftest.$ac_ext
2935    fi
2936    echo "$as_me:$LINENO: result: $ac_cv_func_nanosleep" >&5
2937    echo "${ECHO_T}$ac_cv_func_nanosleep" >&6
2938    if test $ac_cv_func_nanosleep = yes; then
2939      :
2940    else
2941    
2942    echo "$as_me:$LINENO: checking for nanosleep in -lrt" >&5
2943    echo $ECHO_N "checking for nanosleep in -lrt... $ECHO_C" >&6
2944    if test "${ac_cv_lib_rt_nanosleep+set}" = set; then
2945      echo $ECHO_N "(cached) $ECHO_C" >&6
2946    else
2947      ac_check_lib_save_LIBS=$LIBS
2948    LIBS="-lrt  $LIBS"
2949    cat >conftest.$ac_ext <<_ACEOF
2950    /* confdefs.h.  */
2951    _ACEOF
2952    cat confdefs.h >>conftest.$ac_ext
2953    cat >>conftest.$ac_ext <<_ACEOF
2954    /* end confdefs.h.  */
2955    
2956    /* Override any gcc2 internal prototype to avoid an error.  */
2957    #ifdef __cplusplus
2958    extern "C"
2959    #endif
2960    /* We use char because int might match the return type of a gcc2
2961       builtin and then its argument prototype would still apply.  */
2962    char nanosleep ();
2963    int
2964    main ()
2965    {
2966    nanosleep ();
2967      ;
2968      return 0;
2969    }
2970    _ACEOF
2971    rm -f conftest.$ac_objext conftest$ac_exeext
2972    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
2973      (eval $ac_link) 2>conftest.er1
2974      ac_status=$?
2975      grep -v '^ *+' conftest.er1 >conftest.err
2976      rm -f conftest.er1
2977      cat conftest.err >&5
2978      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2979      (exit $ac_status); } &&
2980             { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
2981      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2982      (eval $ac_try) 2>&5
2983      ac_status=$?
2984      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2985      (exit $ac_status); }; } &&
2986             { ac_try='test -s conftest$ac_exeext'
2987      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
2988      (eval $ac_try) 2>&5
2989      ac_status=$?
2990      echo "$as_me:$LINENO: \$? = $ac_status" >&5
2991      (exit $ac_status); }; }; then
2992      ac_cv_lib_rt_nanosleep=yes
2993    else
2994      echo "$as_me: failed program was:" >&5
2995    sed 's/^/| /' conftest.$ac_ext >&5
2996    
2997    ac_cv_lib_rt_nanosleep=no
2998    fi
2999    rm -f conftest.err conftest.$ac_objext \
3000          conftest$ac_exeext conftest.$ac_ext
3001    LIBS=$ac_check_lib_save_LIBS
3002    fi
3003    echo "$as_me:$LINENO: result: $ac_cv_lib_rt_nanosleep" >&5
3004    echo "${ECHO_T}$ac_cv_lib_rt_nanosleep" >&6
3005    if test $ac_cv_lib_rt_nanosleep = yes; then
3006      cat >>confdefs.h <<_ACEOF
3007    #define HAVE_LIBRT 1
3008    _ACEOF
3009    
3010      LIBS="-lrt $LIBS"
3011    
3012    fi
3013    
3014    fi
3015    
3016    LIBSFORSLEEP="$LIBS"
3017    LIBS=
3018    
3019    
3020  echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5  echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
3021  echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6  echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6
# Line 2919  _ACEOF Line 3090  _ACEOF
3090  fi  fi
3091    
3092  LIBSFORPTHREAD="$LIBS"  LIBSFORPTHREAD="$LIBS"
3093    LIBS=
3094    
3095    
3096  echo "$as_me:$LINENO: checking for sem_init in -lposix4" >&5  echo "$as_me:$LINENO: checking for sem_init in -lposix4" >&5
3097  echo $ECHO_N "checking for sem_init in -lposix4... $ECHO_C" >&6  echo $ECHO_N "checking for sem_init in -lposix4... $ECHO_C" >&6
# Line 3009  fi; Line 3182  fi;
3182  with_gcl=`echo $with_gcl | sed -e "s#^../#$PWD/../#"`  with_gcl=`echo $with_gcl | sed -e "s#^../#$PWD/../#"`
3183    
3184    
3185  # Check whether --with-gcl-dir or --without-gcl-dir was given.  # Check whether --with-gcl-build-dir or --without-gcl-build-dir was given.
3186  if test "${with_gcl_dir+set}" = set; then  if test "${with_gcl_build_dir+set}" = set; then
3187    withval="$with_gcl_dir"    withval="$with_gcl_build_dir"
3188    
3189  else  else
3190    with_gcl_dir=no    with_gcl_build_dir=no
3191  fi;  fi;
3192    
3193    
# Line 3601  done Line 3774  done
3774    
3775    
3776    
3777  for ac_header in fcntl.h limits.h sys/time.h unistd.h  
3778    
3779    
3780    
3781    for ac_header in fcntl.h netdb.h netinet/in.h stdlib.h string.h sys/socket.h sys/time.h unistd.h
3782  do  do
3783  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
3784  if eval "test \"\${$as_ac_Header+set}\" = set"; then  if eval "test \"\${$as_ac_Header+set}\" = set"; then
# Line 4200  _ACEOF Line 4377  _ACEOF
4377    
4378  fi  fi
4379    
4380    echo "$as_me:$LINENO: checking for working volatile" >&5
4381    echo $ECHO_N "checking for working volatile... $ECHO_C" >&6
4382    if test "${ac_cv_c_volatile+set}" = set; then
4383      echo $ECHO_N "(cached) $ECHO_C" >&6
4384    else
4385      cat >conftest.$ac_ext <<_ACEOF
4386    /* confdefs.h.  */
4387    _ACEOF
4388    cat confdefs.h >>conftest.$ac_ext
4389    cat >>conftest.$ac_ext <<_ACEOF
4390    /* end confdefs.h.  */
4391    
4392    int
4393    main ()
4394    {
4395    
4396    volatile int x;
4397    int * volatile y;
4398      ;
4399      return 0;
4400    }
4401    _ACEOF
4402    rm -f conftest.$ac_objext
4403    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4404      (eval $ac_compile) 2>conftest.er1
4405      ac_status=$?
4406      grep -v '^ *+' conftest.er1 >conftest.err
4407      rm -f conftest.er1
4408      cat conftest.err >&5
4409      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4410      (exit $ac_status); } &&
4411             { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
4412      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4413      (eval $ac_try) 2>&5
4414      ac_status=$?
4415      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4416      (exit $ac_status); }; } &&
4417             { ac_try='test -s conftest.$ac_objext'
4418      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4419      (eval $ac_try) 2>&5
4420      ac_status=$?
4421      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4422      (exit $ac_status); }; }; then
4423      ac_cv_c_volatile=yes
4424    else
4425      echo "$as_me: failed program was:" >&5
4426    sed 's/^/| /' conftest.$ac_ext >&5
4427    
4428  for ac_header in stdlib.h unistd.h  ac_cv_c_volatile=no
4429    fi
4430    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4431    fi
4432    echo "$as_me:$LINENO: result: $ac_cv_c_volatile" >&5
4433    echo "${ECHO_T}$ac_cv_c_volatile" >&6
4434    if test $ac_cv_c_volatile = no; then
4435    
4436    cat >>confdefs.h <<\_ACEOF
4437    #define volatile
4438    _ACEOF
4439    
4440    fi
4441    
4442    
4443    
4444    for ac_header in stdlib.h
4445  do  do
4446  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4447  if eval "test \"\${$as_ac_Header+set}\" = set"; then  if eval "test \"\${$as_ac_Header+set}\" = set"; then
# Line 4351  fi Line 4589  fi
4589    
4590  done  done
4591    
4592    echo "$as_me:$LINENO: checking for GNU libc compatible malloc" >&5
4593  for ac_func in getpagesize  echo $ECHO_N "checking for GNU libc compatible malloc... $ECHO_C" >&6
4594  do  if test "${ac_cv_func_malloc_0_nonnull+set}" = set; then
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  
 echo "$as_me:$LINENO: checking for $ac_func" >&5  
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_var+set}\" = set"; then  
4595    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
4596  else  else
4597      if test "$cross_compiling" = yes; then
4598      ac_cv_func_malloc_0_nonnull=no
4599    else
4600    cat >conftest.$ac_ext <<_ACEOF    cat >conftest.$ac_ext <<_ACEOF
4601  /* confdefs.h.  */  /* confdefs.h.  */
4602  _ACEOF  _ACEOF
4603  cat confdefs.h >>conftest.$ac_ext  cat confdefs.h >>conftest.$ac_ext
4604  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
4605  /* end confdefs.h.  */  /* end confdefs.h.  */
4606  /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.  #if STDC_HEADERS || HAVE_STDLIB_H
4607     For example, HP-UX 11i <limits.h> declares gettimeofday.  */  # include <stdlib.h>
 #define $ac_func innocuous_$ac_func  
   
 /* System header to define __stub macros and hopefully few prototypes,  
     which can conflict with char $ac_func (); below.  
     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since  
     <limits.h> exists even on freestanding compilers.  */  
   
 #ifdef __STDC__  
 # include <limits.h>  
4608  #else  #else
4609  # include <assert.h>  char *malloc ();
 #endif  
   
 #undef $ac_func  
   
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 {  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char $ac_func ();  
 /* The GNU C library defines this for functions which it implements  
     to always fail with ENOSYS.  Some functions are actually named  
     something starting with __ and the normal name is an alias.  */  
 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)  
 choke me  
 #else  
 char (*f) () = $ac_func;  
 #endif  
 #ifdef __cplusplus  
 }  
4610  #endif  #endif
4611    
4612  int  int
4613  main ()  main ()
4614  {  {
4615  return f != $ac_func;  exit (malloc (0) ? 0 : 1);
4616    ;    ;
4617    return 0;    return 0;
4618  }  }
4619  _ACEOF  _ACEOF
4620  rm -f conftest.$ac_objext conftest$ac_exeext  rm -f conftest$ac_exeext
4621  if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4622    (eval $ac_link) 2>conftest.er1    (eval $ac_link) 2>&5
4623      ac_status=$?
4624      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4625      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4626      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4627      (eval $ac_try) 2>&5
4628      ac_status=$?
4629      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4630      (exit $ac_status); }; }; then
4631      ac_cv_func_malloc_0_nonnull=yes
4632    else
4633      echo "$as_me: program exited with status $ac_status" >&5
4634    echo "$as_me: failed program was:" >&5
4635    sed 's/^/| /' conftest.$ac_ext >&5
4636    
4637    ( exit $ac_status )
4638    ac_cv_func_malloc_0_nonnull=no
4639    fi
4640    rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4641    fi
4642    fi
4643    echo "$as_me:$LINENO: result: $ac_cv_func_malloc_0_nonnull" >&5
4644    echo "${ECHO_T}$ac_cv_func_malloc_0_nonnull" >&6
4645    if test $ac_cv_func_malloc_0_nonnull = yes; then
4646    
4647    cat >>confdefs.h <<\_ACEOF
4648    #define HAVE_MALLOC 1
4649    _ACEOF
4650    
4651    else
4652      cat >>confdefs.h <<\_ACEOF
4653    #define HAVE_MALLOC 0
4654    _ACEOF
4655    
4656       case $LIBOBJS in
4657        "malloc.$ac_objext"   | \
4658      *" malloc.$ac_objext"   | \
4659        "malloc.$ac_objext "* | \
4660      *" malloc.$ac_objext "* ) ;;
4661      *) LIBOBJS="$LIBOBJS malloc.$ac_objext" ;;
4662    esac
4663    
4664    
4665    cat >>confdefs.h <<\_ACEOF
4666    #define malloc rpl_malloc
4667    _ACEOF
4668    
4669    fi
4670    
4671    
4672    
4673    
4674    for ac_header in stdlib.h
4675    do
4676    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4677    if eval "test \"\${$as_ac_Header+set}\" = set"; then
4678      echo "$as_me:$LINENO: checking for $ac_header" >&5
4679    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4680    if eval "test \"\${$as_ac_Header+set}\" = set"; then
4681      echo $ECHO_N "(cached) $ECHO_C" >&6
4682    fi
4683    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4684    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4685    else
4686      # Is the header compilable?
4687    echo "$as_me:$LINENO: checking $ac_header usability" >&5
4688    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
4689    cat >conftest.$ac_ext <<_ACEOF
4690    /* confdefs.h.  */
4691    _ACEOF
4692    cat confdefs.h >>conftest.$ac_ext
4693    cat >>conftest.$ac_ext <<_ACEOF
4694    /* end confdefs.h.  */
4695    $ac_includes_default
4696    #include <$ac_header>
4697    _ACEOF
4698    rm -f conftest.$ac_objext
4699    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4700      (eval $ac_compile) 2>conftest.er1
4701    ac_status=$?    ac_status=$?
4702    grep -v '^ *+' conftest.er1 >conftest.err    grep -v '^ *+' conftest.er1 >conftest.err
4703    rm -f conftest.er1    rm -f conftest.er1
# Line 4426  if { (eval echo "$as_me:$LINENO: \"$ac_l Line 4710  if { (eval echo "$as_me:$LINENO: \"$ac_l
4710    ac_status=$?    ac_status=$?
4711    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
4712    (exit $ac_status); }; } &&    (exit $ac_status); }; } &&
4713           { ac_try='test -s conftest$ac_exeext'           { ac_try='test -s conftest.$ac_objext'
4714    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4715    (eval $ac_try) 2>&5    (eval $ac_try) 2>&5
4716    ac_status=$?    ac_status=$?
4717    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
4718    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
4719    eval "$as_ac_var=yes"    ac_header_compiler=yes
4720  else  else
4721    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
4722  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
4723    
4724  eval "$as_ac_var=no"  ac_header_compiler=no
4725  fi  fi
4726  rm -f conftest.err conftest.$ac_objext \  rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4727        conftest$ac_exeext conftest.$ac_ext  echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
4728    echo "${ECHO_T}$ac_header_compiler" >&6
4729    
4730    # Is the header present?
4731    echo "$as_me:$LINENO: checking $ac_header presence" >&5
4732    echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
4733    cat >conftest.$ac_ext <<_ACEOF
4734    /* confdefs.h.  */
4735    _ACEOF
4736    cat confdefs.h >>conftest.$ac_ext
4737    cat >>conftest.$ac_ext <<_ACEOF
4738    /* end confdefs.h.  */
4739    #include <$ac_header>
4740    _ACEOF
4741    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4742      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4743      ac_status=$?
4744      grep -v '^ *+' conftest.er1 >conftest.err
4745      rm -f conftest.er1
4746      cat conftest.err >&5
4747      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4748      (exit $ac_status); } >/dev/null; then
4749      if test -s conftest.err; then
4750        ac_cpp_err=$ac_c_preproc_warn_flag
4751        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
4752      else
4753        ac_cpp_err=
4754      fi
4755    else
4756      ac_cpp_err=yes
4757  fi  fi
4758  echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5  if test -z "$ac_cpp_err"; then
4759  echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6    ac_header_preproc=yes
4760  if test `eval echo '${'$as_ac_var'}'` = yes; then  else
4761      echo "$as_me: failed program was:" >&5
4762    sed 's/^/| /' conftest.$ac_ext >&5
4763    
4764      ac_header_preproc=no
4765    fi
4766    rm -f conftest.err conftest.$ac_ext
4767    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
4768    echo "${ECHO_T}$ac_header_preproc" >&6
4769    
4770    # So?  What about this header?
4771    case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
4772      yes:no: )
4773        { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
4774    echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
4775        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
4776    echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
4777        ac_header_preproc=yes
4778        ;;
4779      no:yes:* )
4780        { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
4781    echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
4782        { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
4783    echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
4784        { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
4785    echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
4786        { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
4787    echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
4788        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
4789    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
4790        { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
4791    echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
4792        (
4793          cat <<\_ASBOX
4794    ## ------------------------------------------ ##
4795    ## Report this to the AC_PACKAGE_NAME lists.  ##
4796    ## ------------------------------------------ ##
4797    _ASBOX
4798        ) |
4799          sed "s/^/$as_me: WARNING:     /" >&2
4800        ;;
4801    esac
4802    echo "$as_me:$LINENO: checking for $ac_header" >&5
4803    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4804    if eval "test \"\${$as_ac_Header+set}\" = set"; then
4805      echo $ECHO_N "(cached) $ECHO_C" >&6
4806    else
4807      eval "$as_ac_Header=\$ac_header_preproc"
4808    fi
4809    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4810    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4811    
4812    fi
4813    if test `eval echo '${'$as_ac_Header'}'` = yes; then
4814    cat >>confdefs.h <<_ACEOF    cat >>confdefs.h <<_ACEOF
4815  #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1  #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4816  _ACEOF  _ACEOF
4817    
4818  fi  fi
4819    
4820  done  done
4821    
4822  echo "$as_me:$LINENO: checking for working mmap" >&5  echo "$as_me:$LINENO: checking for GNU libc compatible realloc" >&5
4823  echo $ECHO_N "checking for working mmap... $ECHO_C" >&6  echo $ECHO_N "checking for GNU libc compatible realloc... $ECHO_C" >&6
4824  if test "${ac_cv_func_mmap_fixed_mapped+set}" = set; then  if test "${ac_cv_func_realloc_0_nonnull+set}" = set; then
4825    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
4826  else  else
4827    if test "$cross_compiling" = yes; then    if test "$cross_compiling" = yes; then
4828    ac_cv_func_mmap_fixed_mapped=no    ac_cv_func_realloc_0_nonnull=no
4829  else  else
4830    cat >conftest.$ac_ext <<_ACEOF    cat >conftest.$ac_ext <<_ACEOF
4831  /* confdefs.h.  */  /* confdefs.h.  */
# Line 4466  _ACEOF Line 4833  _ACEOF
4833  cat confdefs.h >>conftest.$ac_ext  cat confdefs.h >>conftest.$ac_ext
4834  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
4835  /* end confdefs.h.  */  /* end confdefs.h.  */
4836  $ac_includes_default  #if STDC_HEADERS || HAVE_STDLIB_H
4837  /* malloc might have been renamed as rpl_malloc. */  # include <stdlib.h>
4838  #undef malloc  #else
4839    char *realloc ();
 /* Thanks to Mike Haertel and Jim Avera for this test.  
    Here is a matrix of mmap possibilities:  
         mmap private not fixed  
         mmap private fixed at somewhere currently unmapped  
         mmap private fixed at somewhere already mapped  
         mmap shared not fixed  
         mmap shared fixed at somewhere currently unmapped  
         mmap shared fixed at somewhere already mapped  
    For private mappings, we should verify that changes cannot be read()  
    back from the file, nor mmap's back from the file at a different  
    address.  (There have been systems where private was not correctly  
    implemented like the infamous i386 svr4.0, and systems where the  
    VM page cache was not coherent with the file system buffer cache  
    like early versions of FreeBSD and possibly contemporary NetBSD.)  
    For shared mappings, we should conversely verify that changes get  
    propagated back to all the places they're supposed to be.  
   
    Grep wants private fixed already mapped.  
    The main things grep needs to know about mmap are:  
    * does it exist and is it safe to write into the mmap'd area  
    * how to use it (BSD variants)  */  
   
 #include <fcntl.h>  
 #include <sys/mman.h>  
   
 #if !STDC_HEADERS && !HAVE_STDLIB_H  
 char *malloc ();  
4840  #endif  #endif
4841    
 /* This mess was copied from the GNU getpagesize.h.  */  
 #if !HAVE_GETPAGESIZE  
 /* Assume that all systems that can run configure have sys/param.h.  */  
 # if !HAVE_SYS_PARAM_H  
 #  define HAVE_SYS_PARAM_H 1  
 # endif  
   
 # ifdef _SC_PAGESIZE  
 #  define getpagesize() sysconf(_SC_PAGESIZE)  
 # else /* no _SC_PAGESIZE */  
 #  if HAVE_SYS_PARAM_H  
 #   include <sys/param.h>  
 #   ifdef EXEC_PAGESIZE  
 #    define getpagesize() EXEC_PAGESIZE  
 #   else /* no EXEC_PAGESIZE */  
 #    ifdef NBPG  
 #     define getpagesize() NBPG * CLSIZE  
 #     ifndef CLSIZE  
 #      define CLSIZE 1  
 #     endif /* no CLSIZE */  
 #    else /* no NBPG */  
 #     ifdef NBPC  
 #      define getpagesize() NBPC  
 #     else /* no NBPC */  
 #      ifdef PAGESIZE  
 #       define getpagesize() PAGESIZE  
 #      endif /* PAGESIZE */  
 #     endif /* no NBPC */  
 #    endif /* no NBPG */  
 #   endif /* no EXEC_PAGESIZE */  
 #  else /* no HAVE_SYS_PARAM_H */  
 #   define getpagesize() 8192   /* punt totally */  
 #  endif /* no HAVE_SYS_PARAM_H */  
 # endif /* no _SC_PAGESIZE */  
   
 #endif /* no HAVE_GETPAGESIZE */  
   
4842  int  int
4843  main ()  main ()
4844  {  {
4845    char *data, *data2, *data3;  exit (realloc (0, 0) ? 0 : 1);
4846    int i, pagesize;    ;
4847    int fd;    return 0;
   
   pagesize = getpagesize ();  
   
   /* First, make a file with some known garbage in it. */  
   data = (char *) malloc (pagesize);  
   if (!data)  
     exit (1);  
   for (i = 0; i < pagesize; ++i)  
     *(data + i) = rand ();  
   umask (0);  
   fd = creat ("conftest.mmap", 0600);  
   if (fd < 0)  
     exit (1);  
   if (write (fd, data, pagesize) != pagesize)  
     exit (1);  
   close (fd);  
   
   /* Next, try to mmap the file at a fixed address which already has  
      something else allocated at it.  If we can, also make sure that  
      we see the same garbage.  */  
   fd = open ("conftest.mmap", O_RDWR);  
   if (fd < 0)  
     exit (1);  
   data2 = (char *) malloc (2 * pagesize);  
   if (!data2)  
     exit (1);  
   data2 += (pagesize - ((long) data2 & (pagesize - 1))) & (pagesize - 1);  
   if (data2 != mmap (data2, pagesize, PROT_READ | PROT_WRITE,  
                      MAP_PRIVATE | MAP_FIXED, fd, 0L))  
     exit (1);  
   for (i = 0; i < pagesize; ++i)  
     if (*(data + i) != *(data2 + i))  
       exit (1);  
   
   /* Finally, make sure that changes to the mapped area do not  
      percolate back to the file as seen by read().  (This is a bug on  
      some variants of i386 svr4.0.)  */  
   for (i = 0; i < pagesize; ++i)  
     *(data2 + i) = *(data2 + i) + 1;  
   data3 = (char *) malloc (pagesize);  
   if (!data3)  
     exit (1);  
   if (read (fd, data3, pagesize) != pagesize)  
     exit (1);  
   for (i = 0; i < pagesize; ++i)  
     if (*(data + i) != *(data3 + i))  
       exit (1);  
   close (fd);  
   exit (0);  
4848  }  }
4849  _ACEOF  _ACEOF
4850  rm -f conftest$ac_exeext  rm -f conftest$ac_exeext
# Line 4604  if { (eval echo "$as_me:$LINENO: \"$ac_l Line 4858  if { (eval echo "$as_me:$LINENO: \"$ac_l
4858    ac_status=$?    ac_status=$?
4859    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
4860    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
4861    ac_cv_func_mmap_fixed_mapped=yes    ac_cv_func_realloc_0_nonnull=yes
4862  else  else
4863    echo "$as_me: program exited with status $ac_status" >&5    echo "$as_me: program exited with status $ac_status" >&5
4864  echo "$as_me: failed program was:" >&5  echo "$as_me: failed program was:" >&5
4865  sed 's/^/| /' conftest.$ac_ext >&5  sed 's/^/| /' conftest.$ac_ext >&5
4866    
4867  ( exit $ac_status )  ( exit $ac_status )
4868  ac_cv_func_mmap_fixed_mapped=no  ac_cv_func_realloc_0_nonnull=no
4869  fi  fi
4870  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4871  fi  fi
4872  fi  fi
4873  echo "$as_me:$LINENO: result: $ac_cv_func_mmap_fixed_mapped" >&5  echo "$as_me:$LINENO: result: $ac_cv_func_realloc_0_nonnull" >&5
4874  echo "${ECHO_T}$ac_cv_func_mmap_fixed_mapped" >&6  echo "${ECHO_T}$ac_cv_func_realloc_0_nonnull" >&6
4875  if test $ac_cv_func_mmap_fixed_mapped = yes; then  if test $ac_cv_func_realloc_0_nonnull = yes; then
4876    
4877    cat >>confdefs.h <<\_ACEOF
4878    #define HAVE_REALLOC 1
4879    _ACEOF
4880    
4881    else
4882      cat >>confdefs.h <<\_ACEOF
4883    #define HAVE_REALLOC 0
4884    _ACEOF
4885    
4886       case $LIBOBJS in
4887        "realloc.$ac_objext"   | \
4888      *" realloc.$ac_objext"   | \
4889        "realloc.$ac_objext "* | \
4890      *" realloc.$ac_objext "* ) ;;
4891      *) LIBOBJS="$LIBOBJS realloc.$ac_objext" ;;
4892    esac
4893    
4894    
4895  cat >>confdefs.h <<\_ACEOF  cat >>confdefs.h <<\_ACEOF
4896  #define HAVE_MMAP 1  #define realloc rpl_realloc
4897    _ACEOF
4898    
4899    fi
4900    
4901    
4902    
4903    
4904    
4905    for ac_header in sys/select.h sys/socket.h
4906    do
4907    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4908    if eval "test \"\${$as_ac_Header+set}\" = set"; then
4909      echo "$as_me:$LINENO: checking for $ac_header" >&5
4910    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4911    if eval "test \"\${$as_ac_Header+set}\" = set"; then
4912      echo $ECHO_N "(cached) $ECHO_C" >&6
4913    fi
4914    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4915    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4916    else
4917      # Is the header compilable?
4918    echo "$as_me:$LINENO: checking $ac_header usability" >&5
4919    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
4920    cat >conftest.$ac_ext <<_ACEOF
4921    /* confdefs.h.  */
4922    _ACEOF
4923    cat confdefs.h >>conftest.$ac_ext
4924    cat >>conftest.$ac_ext <<_ACEOF
4925    /* end confdefs.h.  */
4926    $ac_includes_default
4927    #include <$ac_header>
4928    _ACEOF
4929    rm -f conftest.$ac_objext
4930    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4931      (eval $ac_compile) 2>conftest.er1
4932      ac_status=$?
4933      grep -v '^ *+' conftest.er1 >conftest.err
4934      rm -f conftest.er1
4935      cat conftest.err >&5
4936      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4937      (exit $ac_status); } &&
4938             { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
4939      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4940      (eval $ac_try) 2>&5
4941      ac_status=$?
4942      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4943      (exit $ac_status); }; } &&
4944             { ac_try='test -s conftest.$ac_objext'
4945      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4946      (eval $ac_try) 2>&5
4947      ac_status=$?
4948      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4949      (exit $ac_status); }; }; then
4950      ac_header_compiler=yes
4951    else
4952      echo "$as_me: failed program was:" >&5
4953    sed 's/^/| /' conftest.$ac_ext >&5
4954    
4955    ac_header_compiler=no
4956    fi
4957    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4958    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
4959    echo "${ECHO_T}$ac_header_compiler" >&6
4960    
4961    # Is the header present?
4962    echo "$as_me:$LINENO: checking $ac_header presence" >&5
4963    echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
4964    cat >conftest.$ac_ext <<_ACEOF
4965    /* confdefs.h.  */
4966    _ACEOF
4967    cat confdefs.h >>conftest.$ac_ext
4968    cat >>conftest.$ac_ext <<_ACEOF
4969    /* end confdefs.h.  */
4970    #include <$ac_header>
4971    _ACEOF
4972    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4973      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4974      ac_status=$?
4975      grep -v '^ *+' conftest.er1 >conftest.err
4976      rm -f conftest.er1
4977      cat conftest.err >&5
4978      echo "$as_me:$LINENO: \$? = $ac_status" >&5
4979      (exit $ac_status); } >/dev/null; then
4980      if test -s conftest.err; then
4981        ac_cpp_err=$ac_c_preproc_warn_flag
4982        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
4983      else
4984        ac_cpp_err=
4985      fi
4986    else
4987      ac_cpp_err=yes
4988    fi
4989    if test -z "$ac_cpp_err"; then
4990      ac_header_preproc=yes
4991    else
4992      echo "$as_me: failed program was:" >&5
4993    sed 's/^/| /' conftest.$ac_ext >&5
4994    
4995      ac_header_preproc=no
4996    fi
4997    rm -f conftest.err conftest.$ac_ext
4998    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
4999    echo "${ECHO_T}$ac_header_preproc" >&6
5000    
5001    # So?  What about this header?
5002    case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
5003      yes:no: )
5004        { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5005    echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5006        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5007    echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5008        ac_header_preproc=yes
5009        ;;
5010      no:yes:* )
5011        { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5012    echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5013        { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
5014    echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
5015        { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5016    echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5017        { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
5018    echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
5019        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5020    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5021        { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5022    echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5023        (
5024          cat <<\_ASBOX
5025    ## ------------------------------------------ ##
5026    ## Report this to the AC_PACKAGE_NAME lists.  ##
5027    ## ------------------------------------------ ##
5028    _ASBOX
5029        ) |
5030          sed "s/^/$as_me: WARNING:     /" >&2
5031        ;;
5032    esac
5033    echo "$as_me:$LINENO: checking for $ac_header" >&5
5034    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5035    if eval "test \"\${$as_ac_Header+set}\" = set"; then
5036      echo $ECHO_N "(cached) $ECHO_C" >&6
5037    else
5038      eval "$as_ac_Header=\$ac_header_preproc"
5039    fi
5040    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5041    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5042    
5043    fi
5044    if test `eval echo '${'$as_ac_Header'}'` = yes; then
5045      cat >>confdefs.h <<_ACEOF
5046    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5047  _ACEOF  _ACEOF
5048    
5049  fi  fi
5050  rm -f conftest.mmap  
5051    done
5052    
5053    echo "$as_me:$LINENO: checking types of arguments for select" >&5
5054    echo $ECHO_N "checking types of arguments for select... $ECHO_C" >&6
5055    if test "${ac_cv_func_select_args+set}" = set; then
5056      echo $ECHO_N "(cached) $ECHO_C" >&6
5057    else
5058      for ac_arg234 in 'fd_set *' 'int *' 'void *'; do
5059     for ac_arg1 in 'int' 'size_t' 'unsigned long' 'unsigned'; do
5060      for ac_arg5 in 'struct timeval *' 'const struct timeval *'; do
5061       cat >conftest.$ac_ext <<_ACEOF
5062    /* confdefs.h.  */
5063    _ACEOF
5064    cat confdefs.h >>conftest.$ac_ext
5065    cat >>conftest.$ac_ext <<_ACEOF
5066    /* end confdefs.h.  */
5067    $ac_includes_default
5068    #if HAVE_SYS_SELECT_H
5069    # include <sys/select.h>
5070    #endif
5071    #if HAVE_SYS_SOCKET_H
5072    # include <sys/socket.h>
5073    #endif
5074    
5075    int
5076    main ()
5077    {
5078    extern int select ($ac_arg1,
5079                                                $ac_arg234, $ac_arg234, $ac_arg234,
5080                                                $ac_arg5);
5081      ;
5082      return 0;
5083    }
5084    _ACEOF
5085    rm -f conftest.$ac_objext
5086    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5087      (eval $ac_compile) 2>conftest.er1
5088      ac_status=$?
5089      grep -v '^ *+' conftest.er1 >conftest.err
5090      rm -f conftest.er1
5091      cat conftest.err >&5
5092      echo "$as_me:$LINENO: \$? = $ac_status" >&5
5093      (exit $ac_status); } &&
5094             { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
5095      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5096      (eval $ac_try) 2>&5
5097      ac_status=$?
5098      echo "$as_me:$LINENO: \$? = $ac_status" >&5
5099      (exit $ac_status); }; } &&
5100             { ac_try='test -s conftest.$ac_objext'
5101      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5102      (eval $ac_try) 2>&5
5103      ac_status=$?
5104      echo "$as_me:$LINENO: \$? = $ac_status" >&5
5105      (exit $ac_status); }; }; then
5106      ac_cv_func_select_args="$ac_arg1,$ac_arg234,$ac_arg5"; break 3
5107    else
5108      echo "$as_me: failed program was:" >&5
5109    sed 's/^/| /' conftest.$ac_ext >&5
5110    
5111    fi
5112    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5113      done
5114     done
5115    done
5116    # Provide a safe default value.
5117    : ${ac_cv_func_select_args='int,int *,struct timeval *'}
5118    
5119    fi
5120    echo "$as_me:$LINENO: result: $ac_cv_func_select_args" >&5
5121    echo "${ECHO_T}$ac_cv_func_select_args" >&6
5122    ac_save_IFS=$IFS; IFS=','
5123    set dummy `echo "$ac_cv_func_select_args" | sed 's/\*/\*/g'`
5124    IFS=$ac_save_IFS
5125    shift
5126    
5127    cat >>confdefs.h <<_ACEOF
5128    #define SELECT_TYPE_ARG1 $1
5129    _ACEOF
5130    
5131    
5132    cat >>confdefs.h <<_ACEOF
5133    #define SELECT_TYPE_ARG234 ($2)
5134    _ACEOF
5135    
5136    
5137    cat >>confdefs.h <<_ACEOF
5138    #define SELECT_TYPE_ARG5 ($3)
5139    _ACEOF
5140    
5141    rm -f conftest*
5142    
5143  echo "$as_me:$LINENO: checking return type of signal handlers" >&5  echo "$as_me:$LINENO: checking return type of signal handlers" >&5
5144  echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6  echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6
# Line 4695  cat >>confdefs.h <<_ACEOF Line 5208  cat >>confdefs.h <<_ACEOF
5208  _ACEOF  _ACEOF
5209    
5210    
5211    echo "$as_me:$LINENO: checking whether lstat dereferences a symlink specified with a trailing slash" >&5
5212    echo $ECHO_N "checking whether lstat dereferences a symlink specified with a trailing slash... $ECHO_C" >&6
5213    if test "${ac_cv_func_lstat_dereferences_slashed_symlink+set}" = set; then
5214      echo $ECHO_N "(cached) $ECHO_C" >&6
5215    else
5216      rm -f conftest.sym conftest.file
5217    echo >conftest.file
5218    if test "$as_ln_s" = "ln -s" && ln -s conftest.file conftest.sym; then
5219      if test "$cross_compiling" = yes; then
5220      ac_cv_func_lstat_dereferences_slashed_symlink=no
5221    else
5222      cat >conftest.$ac_ext <<_ACEOF
5223    /* confdefs.h.  */
5224    _ACEOF
5225    cat confdefs.h >>conftest.$ac_ext
5226    cat >>conftest.$ac_ext <<_ACEOF
5227    /* end confdefs.h.  */
5228    $ac_includes_default
5229    int
5230    main ()
5231    {
5232    struct stat sbuf;
5233         /* Linux will dereference the symlink and fail.
5234            That is better in the sense that it means we will not
5235            have to compile and use the lstat wrapper.  */
5236         exit (lstat ("conftest.sym/", &sbuf) ? 0 : 1);
5237      ;
5238      return 0;
5239    }
5240    _ACEOF
5241    rm -f conftest$ac_exeext
5242    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5243      (eval $ac_link) 2>&5
5244      ac_status=$?
5245      echo "$as_me:$LINENO: \$? = $ac_status" >&5
5246      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
5247      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5248      (eval $ac_try) 2>&5
5249      ac_status=$?
5250      echo "$as_me:$LINENO: \$? = $ac_status" >&5
5251      (exit $ac_status); }; }; then
5252      ac_cv_func_lstat_dereferences_slashed_symlink=yes
5253    else
5254      echo "$as_me: program exited with status $ac_status" >&5
5255    echo "$as_me: failed program was:" >&5
5256    sed 's/^/| /' conftest.$ac_ext >&5
5257    
5258    ( exit $ac_status )
5259    ac_cv_func_lstat_dereferences_slashed_symlink=no
5260    fi
5261    rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
5262    fi
5263    else
5264      # If the `ln -s' command failed, then we probably don't even
5265      # have an lstat function.
5266      ac_cv_func_lstat_dereferences_slashed_symlink=no
5267    fi
5268    rm -f conftest.sym conftest.file
5269    
5270    fi
5271    echo "$as_me:$LINENO: result: $ac_cv_func_lstat_dereferences_slashed_symlink" >&5
5272    echo "${ECHO_T}$ac_cv_func_lstat_dereferences_slashed_symlink" >&6
5273    
5274    test $ac_cv_func_lstat_dereferences_slashed_symlink = yes &&
5275    
5276    cat >>confdefs.h <<_ACEOF
5277    #define LSTAT_FOLLOWS_SLASHED_SYMLINK 1
5278    _ACEOF
5279    
5280    
5281    if test $ac_cv_func_lstat_dereferences_slashed_symlink = no; then
5282      case $LIBOBJS in
5283        "lstat.$ac_objext"   | \
5284      *" lstat.$ac_objext"   | \
5285        "lstat.$ac_objext "* | \
5286      *" lstat.$ac_objext "* ) ;;
5287      *) LIBOBJS="$LIBOBJS lstat.$ac_objext" ;;
5288    esac
5289    
5290    fi
5291    
5292    echo "$as_me:$LINENO: checking whether stat accepts an empty string" >&5
5293    echo $ECHO_N "checking whether stat accepts an empty string... $ECHO_C" >&6
5294    if test "${ac_cv_func_stat_empty_string_bug+set}" = set; then
5295      echo $ECHO_N "(cached) $ECHO_C" >&6
5296    else
5297      if test "$cross_compiling" = yes; then
5298      ac_cv_func_stat_empty_string_bug=yes
5299    else
5300      cat >conftest.$ac_ext <<_ACEOF
5301    /* confdefs.h.  */
5302    _ACEOF
5303    cat confdefs.h >>conftest.$ac_ext
5304    cat >>conftest.$ac_ext <<_ACEOF
5305    /* end confdefs.h.  */
5306    $ac_includes_default
5307    int
5308    main ()
5309    {
5310    struct stat sbuf;
5311      exit (stat ("", &sbuf) ? 1 : 0);
5312      ;
5313      return 0;
5314    }
5315    _ACEOF
5316    rm -f conftest$ac_exeext
5317    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5318      (eval $ac_link) 2>&5
5319      ac_status=$?
5320      echo "$as_me:$LINENO: \$? = $ac_status" >&5
5321      (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
5322      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5323      (eval $ac_try) 2>&5
5324      ac_status=$?
5325      echo "$as_me:$LINENO: \$? = $ac_status" >&5
5326      (exit $ac_status); }; }; then
5327      ac_cv_func_stat_empty_string_bug=yes
5328    else
5329      echo "$as_me: program exited with status $ac_status" >&5
5330    echo "$as_me: failed program was:" >&5
5331    sed 's/^/| /' conftest.$ac_ext >&5
5332    
5333    ( exit $ac_status )
5334    ac_cv_func_stat_empty_string_bug=no
5335    fi
5336    rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
5337    fi
5338    fi
5339    echo "$as_me:$LINENO: result: $ac_cv_func_stat_empty_string_bug" >&5
5340    echo "${ECHO_T}$ac_cv_func_stat_empty_string_bug" >&6
5341    if test $ac_cv_func_stat_empty_string_bug = yes; then
5342      case $LIBOBJS in
5343        "stat.$ac_objext"   | \
5344      *" stat.$ac_objext"   | \
5345        "stat.$ac_objext "* | \
5346      *" stat.$ac_objext "* ) ;;
5347      *) LIBOBJS="$LIBOBJS stat.$ac_objext" ;;
5348    esac
5349    
5350    
5351    cat >>confdefs.h <<_ACEOF
5352    #define HAVE_STAT_EMPTY_STRING_BUG 1
5353    _ACEOF
5354    
5355    fi
5356    
5357    
5358  for ac_func in vprintf  for ac_func in vprintf
5359  do  do
# Line 4902  done Line 5561  done
5561    
5562    
5563    
5564  for ac_func in getcwd gethostname select socket strcspn strdup strerror strtol  
5565    
5566    for ac_func in alarm getcwd gethostbyname gethostname gettimeofday memset select socket strchr strerror
5567  do  do
5568  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5569  echo "$as_me:$LINENO: checking for $ac_func" >&5  echo "$as_me:$LINENO: checking for $ac_func" >&5
# Line 5021  esac Line 5682  esac
5682  if test "x$with_gcl" = "xno"; then  if test "x$with_gcl" = "xno"; then
5683    with_gcl=`which gcl`    with_gcl=`which gcl`
5684  fi  fi
 if test ! -x "$with_gcl"; then  
   { { echo "$as_me:$LINENO: error: Couldn't find gcl command  
     Use ./configure --with-gcl= to specify location of gcl command " >&5  
 echo "$as_me: error: Couldn't find gcl command  
     Use ./configure --with-gcl= to specify location of gcl command " >&2;}  
    { (exit 1); exit 1; }; };  
 fi  
5685    
5686    
5687  GCL=$with_gcl  GCL=$with_gcl
5688  if test "$with_gcl_dir" = "no"; then  if test "$with_gcl_build_dir" = "no"; then
5689    GCL_SRC=`$with_gcl -batch \    GCL_SRC=`$with_gcl -batch \
5690                       -eval '(progn (write *lib-directory* :escape nil) (quit))'`                       -eval '(progn (write *lib-directory* :escape nil) (quit))'`
5691    GCL_SRC=`echo $GCL_SRC | sed -e s'#"##g'`    GCL_SRC=`echo $GCL_SRC | sed -e s'#"##g'`
5692  else  else
5693    GCL_SRC=$with_gcl_dir    GCL_SRC=$with_gcl_build_dir
5694  fi  fi
5695    
5696    # If user specifies with_gcl__build_dir, then with_gcl does not yet exist.
5697    if test ! -x "$with_gcl" -a "x$with_gcl_build_dir" = "xno"; then
5698      { { echo "$as_me:$LINENO: error: Couldn't find gcl command
5699        Use ./configure --with-gcl= to specify location of gcl command " >&5
5700    echo "$as_me: error: Couldn't find gcl command
5701        Use ./configure --with-gcl= to specify location of gcl command " >&2;}
5702       { (exit 1); exit 1; }; };
5703    fi
5704    
5705    
5706    
5707    
5708    
# Line 5057  fi Line 5721  fi
5721    
5722    
5723                                                              ac_config_files="$ac_config_files src/Makefile src/mpinu/Makefile src/mpinu/procgroup bin/procgroup bin/mpinucc Makefile"                                                              ac_config_files="$ac_config_files src/Makefile src/mpinu/Makefile src/mpinu/procgroup bin/procgroup bin/mpinucc Makefile"
5724    
5725  cat >confcache <<\_ACEOF  cat >confcache <<\_ACEOF
5726  # This file is a shell script that caches the results of configure  # This file is a shell script that caches the results of configure
5727  # tests run on this system so they can be shared between configure  # tests run on this system so they can be shared between configure
# Line 5709  s,@RANLIB@,$RANLIB,;t t Line 6374  s,@RANLIB@,$RANLIB,;t t
6374  s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t  s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
6375  s,@CPP@,$CPP,;t t  s,@CPP@,$CPP,;t t
6376  s,@EGREP@,$EGREP,;t t  s,@EGREP@,$EGREP,;t t
6377    s,@LIBOBJS@,$LIBOBJS,;t t
6378  s,@PARGCL_VERSION@,$PARGCL_VERSION,;t t  s,@PARGCL_VERSION@,$PARGCL_VERSION,;t t
6379  s,@PARGCL_UPDATED@,$PARGCL_UPDATED,;t t  s,@PARGCL_UPDATED@,$PARGCL_UPDATED,;t t
6380  s,@GCL@,$GCL,;t t  s,@GCL@,$GCL,;t t
# Line 5716  s,@GCL_SRC@,$GCL_SRC,;t t Line 6382  s,@GCL_SRC@,$GCL_SRC,;t t
6382  s,@PWD@,$PWD,;t t  s,@PWD@,$PWD,;t t
6383  s,@HOSTNAME@,$HOSTNAME,;t t  s,@HOSTNAME@,$HOSTNAME,;t t
6384  s,@LIBSFORSOCKETS@,$LIBSFORSOCKETS,;t t  s,@LIBSFORSOCKETS@,$LIBSFORSOCKETS,;t t
6385    s,@LIBSFORSLEEP@,$LIBSFORSLEEP,;t t
6386  s,@LIBSFORPTHREAD@,$LIBSFORPTHREAD,;t t  s,@LIBSFORPTHREAD@,$LIBSFORPTHREAD,;t t
6387  s,@LIBSFORMPI@,$LIBSFORMPI,;t t  s,@LIBSFORMPI@,$LIBSFORMPI,;t t
6388  s,@CFLAGS_FOR_POSIX_1C@,$CFLAGS_FOR_POSIX_1C,;t t  s,@CFLAGS_FOR_POSIX_1C@,$CFLAGS_FOR_POSIX_1C,;t t
# Line 5725  s,@STRIP_LIBS@,$STRIP_LIBS,;t t Line 6392  s,@STRIP_LIBS@,$STRIP_LIBS,;t t
6392  s,@STRIP@,$STRIP,;t t  s,@STRIP@,$STRIP,;t t
6393  s,@MPICC@,$MPICC,;t t  s,@MPICC@,$MPICC,;t t
6394  s,@MPICXX@,$MPICXX,;t t  s,@MPICXX@,$MPICXX,;t t
 s,@LIBOBJS@,$LIBOBJS,;t t  
6395  s,@LTLIBOBJS@,$LTLIBOBJS,;t t  s,@LTLIBOBJS@,$LTLIBOBJS,;t t
6396  CEOF  CEOF
6397    

Legend:
Removed from v.1.7  
changed lines
  Added in v.1.8

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26